Retail Transactions
retail_transactions_create
Submits a retail transaction for the Dispensary.
Endpoint
POST /api/v1.2/transactions/
Example Payload
{
"performed_at": "ISO-8601",
"items": [
"<lucid_id_uuid>",
"<lucid_id_uuid>",
"<lucid_id_uuid>"
],
"order_id": "<pos_order_id>",
"customer_id": "<pos_customer_id>",
"budtender_id": "<pos_budtender_id>"
}
Request Fields
Field |
Type |
Required |
Description |
|---|---|---|---|
|
datetime |
yes |
When the transaction occurred (ISO-8601 format) |
|
array |
yes |
List of LucidID UUIDs included in the transaction |
|
string |
no |
POS system order identifier |
|
string |
no |
POS system customer identifier |
|
string |
no |
POS system budtender identifier |
Responses
200
Bad Request
400
will be returned if the format of the LucidID is invalid
{
"items": {
"Invalid LucidIDs": [
"invalid_lucid_id_format"
]
}
}
will be returned if the LucidID is unknown or invalid
{
"items": {
"invalid": [],
"unknown": [
"<unknown_or_invalid_lucid_id_uuid>"
],
"valid": []
}
}
will be returned if the LucidID is non-imported
{
"message": "This transaction contains non-imported lucid ids.",
"non_imported_lucidids": [
"<non_imported_lucid_id_uuid>"
],
"valid_transaction": false
}